# -*- coding: UTF-8 -*

"""Model : preferences
"""

from app import db


class ScoPreferences(db.Model):
    """ScoDoc preferences"""

    __tablename__ = "sco_prefs"
    id = db.Column(db.Integer, primary_key=True)
    pref_id = db.synonym("id")
    dept = db.Column(db.String(16), index=True)
    name = db.Column(db.String(128), nullable=False)
    value = db.Column(db.Text())
    formsemestre_id = db.Column(db.Integer, db.ForeignKey("notes_formsemestre.id"))
